import type { App } from 'vue';
import Layout, { type LayoutProps } from './layout';
import LayoutItem, { type LayoutItemProps } from './item';

export type { LayoutProps };
export type { LayoutItemProps }

Layout.Item = LayoutItem;

Layout.install = function (app: App) {
  app.component(Layout.name, Layout);
  return app;
};

export { Layout, LayoutItem, Layout as default };