import type { App } from 'vue';
import AppToolbar, { type AppToolbarProps } from './app-toolbar';

export type { AppToolbarProps };

AppToolbar.install = function (app: App) {
  app.component(AppToolbar.name, AppToolbar);
  return app;
};

export { AppToolbar, AppToolbar as default };